Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Interface GLES1

All Superinterfaces:
  GL, GL2ES1, GLBase, GLLightingFunc, GLMatrixFunc, GLPointerFunc

All Known Implementing Classes:
  DebugGLES1, TraceGLES1

    public interface GLES1

extends GLBase, GL, GL2ES1

This interface contains all core embedded OpenGL methods of ES 1.x, with x >= 0, inclusive, as well as most of it's extensions defined at the time of this specification.

Field Summary
`static int` | `GL_ETC1_RGB8_OES` Part of `GL_OES_compressed_ETC1_RGB8_texture`
`static int` | `GL_HALF_FLOAT_OES` Part of `GL_OES_vertex_half_float`
`static int` | `GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES` Part of `GL_OES_matrix_palette`
`static int` | `GL_MODELVIEW_MATRIX_FLOAT_AS_INT_BITS_OES` Part of `GL_OES_matrix_get`
`static int` | `GL_POINT_SIZE_ARRAY_BUFFER_BINDING_OES` Part of `GL_OES_point_size_array`
`static int` | `GL_POINT_SIZE_ARRAY_OES` Part of `GL_OES_point_size_array`
`static int` | `GL_POINT_SIZE_ARRAY_POINTER_OES` Part of `GL_OES_point_size_array`
`static int` | `GL_POINT_SIZE_ARRAY_STRIDE_OES` Part of `GL_OES_point_size_array`
`static int` | `GL_POINT_SIZE_ARRAY_TYPE_OES` Part of `GL_OES_point_size_array`
`static int` | `GL_PROJECTION_MATRIX_FLOAT_AS_INT_BITS_OES` Part of `GL_OES_matrix_get`
`static int` | `GL_TEXTURE_CROP_RECT_OES` Part of `GL_OES_draw_texture`
`static int` | `GL_TEXTURE_MATRIX_FLOAT_AS_INT_BITS_OES` Part of `GL_OES_matrix_get`

Fields inherited from interface javax.media.opengl.GL2ES1
`GL_3DC_X_AMD, GL_3DC_XY_AMD, GL_ADD, GL_ADD_SIGNED, GL_ALPHA_SCALE, GL_ALPHA_TEST, GL_ALPHA_TEST_FUNC, GL_ALPHA_TEST_REF, GL_ATC_RGB_AMD, GL_ATC_RGBA_EXPLICIT_ALPHA_AMD, GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD, GL_CLIENT_ACTIVE_TEXTURE, GL_CLIP_PLANE0, GL_CLIP_PLANE1, GL_CLIP_PLANE2, GL_CLIP_PLANE3, GL_CLIP_PLANE4, GL_CLIP_PLANE5, GL_COLOR_ARRAY_BUFFER_BINDING, GL_COLOR_ARRAY_POINTER, GL_COLOR_ARRAY_SIZE, GL_COLOR_ARRAY_STRIDE, GL_COLOR_ARRAY_TYPE, GL_COMBINE, GL_COMBINE_ALPHA, GL_COMBINE_RGB, GL_CONSTANT, GL_COORD_REPLACE, GL_CURRENT_COLOR, GL_CURRENT_NORMAL, GL_CURRENT_PALETTE_MATRIX, GL_CURRENT_TEXTURE_COORDS, GL_DECAL, GL_DOT3_RGB, GL_DOT3_RGBA, GL_EXP, GL_EXP2, GL_FOG, GL_FOG_COLOR, GL_FOG_DENSITY, GL_FOG_END, GL_FOG_HINT, GL_FOG_MODE, GL_FOG_START, GL_GENERATE_MIPMAP, GL_INTERPOLATE, GL_LIGHT_MODEL_AMBIENT, GL_LIGHT_MODEL_TWO_SIDE, GL_MATRIX_INDEX_ARRAY, GL_MATRIX_INDEX_ARRAY_POINTER, GL_MATRIX_INDEX_ARRAY_SIZE, GL_MATRIX_INDEX_ARRAY_STRIDE, GL_MATRIX_INDEX_ARRAY_TYPE, GL_MATRIX_PALETTE, GL_MAX_CLIP_PLANES, GL_MAX_LIGHTS, GL_MAX_MODELVIEW_STACK_DEPTH, GL_MAX_PALETTE_MATRICES, GL_MAX_PROJECTION_STACK_DEPTH, GL_MAX_TEXTURE_STACK_DEPTH, GL_MAX_TEXTURE_UNITS, GL_MAX_VERTEX_UNITS, GL_MODELVIEW_STACK_DEPTH, GL_MODULATE, GL_NORMAL_ARRAY_BUFFER_BINDING, GL_NORMAL_ARRAY_POINTER, GL_NORMAL_ARRAY_STRIDE, GL_NORMAL_ARRAY_TYPE, GL_NORMAL_MAP, GL_OPERAND0_ALPHA, GL_OPERAND0_RGB, GL_OPERAND1_ALPHA, GL_OPERAND1_RGB, GL_OPERAND2_ALPHA, GL_OPERAND2_RGB, GL_PALETTE4_R5_G6_B5, GL_PALETTE4_RGB5_A1, GL_PALETTE4_RGB8, GL_PALETTE4_RGBA4, GL_PALETTE4_RGBA8, GL_PALETTE8_R5_G6_B5, GL_PALETTE8_RGB5_A1, GL_PALETTE8_RGB8, GL_PALETTE8_RGBA4, GL_PALETTE8_RGBA8, GL_PERSPECTIVE_CORRECTION_HINT, GL_POINT_DISTANCE_ATTENUATION, GL_POINT_SIZE_MAX, GL_POINT_SIZE_MIN, GL_POINT_SMOOTH, GL_POINT_SMOOTH_HINT, GL_POINT_SPRITE, GL_PREVIOUS, GL_PRIMARY_COLOR, GL_PROJECTION_STACK_DEPTH, GL_REFLECTION_MAP, GL_RESCALE_NORMAL, GL_RGB_SCALE, GL_SHADE_MODEL, GL_SRC0_ALPHA, GL_SRC0_RGB, GL_SRC1_ALPHA, GL_SRC1_RGB, GL_SRC2_ALPHA, GL_SRC2_RGB, GL_STACK_OVERFLOW, GL_STACK_UNDERFLOW, GL_SUBTRACT, GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING, GL_TEXTURE_COORD_ARRAY_POINTER, GL_TEXTURE_COORD_ARRAY_SIZE, GL_TEXTURE_COORD_ARRAY_STRIDE, GL_TEXTURE_COORD_ARRAY_TYPE, GL_TEXTURE_ENV, GL_TEXTURE_ENV_COLOR, GL_TEXTURE_ENV_MODE, GL_TEXTURE_GEN_MODE, GL_TEXTURE_GEN_STR, GL_TEXTURE_STACK_DEPTH, GL_VERTEX_ARRAY_BUFFER_BINDING, GL_VERTEX_ARRAY_POINTER, GL_VERTEX_ARRAY_SIZE, GL_VERTEX_ARRAY_STRIDE, GL_VERTEX_ARRAY_TYPE, GL_WEIGHT_ARRAY, GL_WEIGHT_ARRAY_BUFFER_BINDING, GL_WEIGHT_ARRAY_POINTER, GL_WEIGHT_ARRAY_SIZE, GL_WEIGHT_ARRAY_STRIDE, GL_WEIGHT_ARRAY_TYPE`

Fields inherited from interface javax.media.opengl.GL
`GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RGB, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

Fields inherited from interface javax.media.opengl.fixedfunc.GLMatrixFunc
`GL_MATRIX_MODE, GL_MODELVIEW, GL_MODELVIEW_MATRIX, GL_PROJECTION, GL_PROJECTION_MATRIX, GL_TEXTURE_MATRIX`

Fields inherited from interface javax.media.opengl.fixedfunc.GLPointerFunc
`GL_COLOR_ARRAY, GL_NORMAL_ARRAY, GL_TEXTURE_COORD_ARRAY, GL_VERTEX_ARRAY`

Fields inherited from interface javax.media.opengl.fixedfunc.GLLightingFunc
`GL_AMBIENT, GL_AMBIENT_AND_DIFFUSE, GL_COLOR_MATERIAL, GL_CONSTANT_ATTENUATION, GL_DIFFUSE, GL_EMISSION, GL_FLAT, GL_LIGHT0, GL_LIGHT1, GL_LIGHT2, GL_LIGHT3, GL_LIGHT4, GL_LIGHT5, GL_LIGHT6, GL_LIGHT7, GL_LIGHTING, GL_LINEAR_ATTENUATION, GL_NORMALIZE, GL_POSITION, GL_QUADRATIC_ATTENUATION, GL_SHININESS, GL_SMOOTH, GL_SPECULAR, GL_SPOT_CUTOFF, GL_SPOT_DIRECTION, GL_SPOT_EXPONENT`

Method Summary
`void` | `glAlphaFuncx(int func, int ref)` Entry point to C language function: `void glAlphaFuncx(GLenum func, GLclampx ref);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glClearColorx(int red, int green, int blue, int alpha)` Entry point to C language function: `void glClearColorx(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glClearDepthx(int depth)` Entry point to C language function: `void glClearDepthx(GLclampx depth);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glClipPlanef(int plane, float[] equation, int equation_offset)` Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation);` Part of `GL_VERSION_ES_CM`
`void` | `glClipPlanef(int plane, FloatBuffer equation)` Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation);` Part of `GL_VERSION_ES_CM`
`void` | `glClipPlanex(int plane, int[] equation, int equation_offset)` Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glClipPlanex(int plane, IntBuffer equation)` Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glColor4x(int red, int green, int blue, int alpha)` Entry point to C language function: `void glColor4x(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glDepthRangex(int zNear, int zFar)` Entry point to C language function: `void glDepthRangex(GLclampx zNear, GLclampx zFar);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glDrawTexfOES(float x, float y, float z, float width, float height)` Entry point to C language function: `void glDrawTexfOES(GLfloat x, GLfloat y, GLfloat z, GLfloat width, GLfloat height);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexfvOES(float[] coords, int coords_offset)` Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexfvOES(FloatBuffer coords)` Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexiOES(int x, int y, int z, int width, int height)` Entry point to C language function: `void glDrawTexiOES(GLint x, GLint y, GLint z, GLint width, GLint height);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexivOES(int[] coords, int coords_offset)` Entry point to C language function: `void glDrawTexivOES(const GLint * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexivOES(IntBuffer coords)` Entry point to C language function: `void glDrawTexivOES(const GLint * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexsOES(short x, short y, short z, short width, short height)` Entry point to C language function: `void glDrawTexsOES(GLshort x, GLshort y, GLshort z, GLshort width, GLshort height);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexsvOES(short[] coords, int coords_offset)` Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexsvOES(ShortBuffer coords)` Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexxOES(int x, int y, int z, int width, int height)` Entry point to C language function: `void glDrawTexxOES(GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexxvOES(int[] coords, int coords_offset)` Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexxvOES(IntBuffer coords)` Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords);` Part of `GL_OES_draw_texture`
`void` | `glEGLImageTargetRenderbufferStorageOES(int target, Buffer image)` Entry point to C language function: `void glEGLImageTargetRenderbufferStorageOES(GLenum target, GLeglImageOES image);` Part of `GL_OES_EGL_image`
`void` | `glEGLImageTargetTexture2DOES(int target, Buffer image)` Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image);` Part of `GL_OES_EGL_image`
`void` | `glFogx(int pname, int param)` Entry point to C language function: `void glFogx(GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glFogxv(int pname, int[] params, int params_offset)` Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glFogxv(int pname, IntBuffer params)` Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glFrustumx(int left, int right, int bottom, int top, int zNear, int zFar)` Entry point to C language function: `void glFrustumx(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetClipPlanef(int pname, float[] eqn, int eqn_offset)` Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * eqn);` Part of `GL_VERSION_ES_CM`
`void` | `glGetClipPlanef(int pname, FloatBuffer eqn)` Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * eqn);` Part of `GL_VERSION_ES_CM`
`void` | `glGetClipPlanex(int pname, int[] eqn, int eqn_offset)` Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetClipPlanex(int pname, IntBuffer eqn)` Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetFixedv(int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetFixedv(int pname, IntBuffer params)` Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetLightxv(int light, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetLightxv(int light, int pname, IntBuffer params)` Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetMaterialxv(int face, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetMaterialxv(int face, int pname, IntBuffer params)` Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetTexEnvxv(int tenv, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetTexEnvxv(int tenv, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetTexGenxv(int coord, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexGenxvOES(GLenum coord, GLenum pname, GLfixed * params);` Part of `GL_OES_texture_cube_map`
`void` | `glGetTexGenxv(int coord, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexGenxvOES(GLenum coord, GLenum pname, GLfixed * params);` Part of `GL_OES_texture_cube_map`
`void` | `glGetTexParameterxv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetTexParameterxv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLightModelx(int pname, int param)` Entry point to C language function: `void glLightModelx(GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLightModelxv(int pname, int[] params, int params_offset)` Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLightModelxv(int pname, IntBuffer params)` Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLightx(int light, int pname, int param)` Entry point to C language function: `void glLightx(GLenum light, GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLightxv(int light, int pname, int[] params, int params_offset)` Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLightxv(int light, int pname, IntBuffer params)` Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLineWidthx(int width)` Entry point to C language function: `void glLineWidthx(GLfixed width);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLoadMatrixx(int[] m, int m_offset)` Entry point to C language function: `void glLoadMatrixx(const GLfixed * m);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLoadMatrixx(IntBuffer m)` Entry point to C language function: `void glLoadMatrixx(const GLfixed * m);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLoadPaletteFromModelViewMatrixOES()` Entry point to C language function: `void glLoadPaletteFromModelViewMatrixOES(void);` Part of `GL_OES_matrix_palette`
`void` | `glMaterialx(int face, int pname, int param)` Entry point to C language function: `void glMaterialx(GLenum face, GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glMaterialxv(int face, int pname, int[] params, int params_offset)` Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glMaterialxv(int face, int pname, IntBuffer params)` Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glMultiTexCoord4x(int target, int s, int t, int r, int q)` Entry point to C language function: `void glMultiTexCoord4x(GLenum target, GLfixed s, GLfixed t, GLfixed r, GLfixed q);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glMultMatrixx(int[] m, int m_offset)` Entry point to C language function: `void glMultMatrixx(const GLfixed * m);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glMultMatrixx(IntBuffer m)` Entry point to C language function: `void glMultMatrixx(const GLfixed * m);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glNormal3x(int nx, int ny, int nz)` Entry point to C language function: `void glNormal3x(GLfixed nx, GLfixed ny, GLfixed nz);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glOrthox(int left, int right, int bottom, int top, int zNear, int zFar)` Entry point to C language function: `void glOrthox(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glPointParameterx(int pname, int param)` Entry point to C language function: `void glPointParameterx(GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glPointParameterxv(int pname, int[] params, int params_offset)` Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glPointParameterxv(int pname, IntBuffer params)` Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glPointSizePointerOES(int type, int stride, Buffer pointer)` Entry point to C language function: `void glPointSizePointerOES(GLenum type, GLsizei stride, const GLvoid * pointer);` Part of `GL_OES_point_size_array`
`void` | `glPointSizex(int size)` Entry point to C language function: `void glPointSizex(GLfixed size);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glPolygonOffsetx(int factor, int units)` Entry point to C language function: `void glPolygonOffsetx(GLfixed factor, GLfixed units);` Part of `GL_VERSION_ES_CL_CM`
`int` | `glQueryMatrixxOES(int[] mantissa, int mantissa_offset, int[] exponent, int exponent_offset)` Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent);` Part of `GL_OES_query_matrix`
`int` | `glQueryMatrixxOES(IntBuffer mantissa, IntBuffer exponent)` Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent);` Part of `GL_OES_query_matrix`
`void` | `glRotatex(int angle, int x, int y, int z)` Entry point to C language function: `void glRotatex(GLfixed angle, GLfixed x, GLfixed y, GLfixed z);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glSampleCoveragex(int value, boolean invert)` Entry point to C language function: `void glSampleCoveragex(GLclampx value, GLboolean invert);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glScalex(int x, int y, int z)` Entry point to C language function: `void glScalex(GLfixed x, GLfixed y, GLfixed z);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTexEnvx(int target, int pname, int param)` Entry point to C language function: `void glTexEnvx(GLenum target, GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTexEnvxv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTexEnvxv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTexGenx(int coord, int pname, int param)` Entry point to C language function: `void glTexGenxOES(GLenum coord, GLenum pname, GLfixed param);` Part of `GL_OES_texture_cube_map`
`void` | `glTexGenxv(int coord, int pname, int[] params, int params_offset)` Entry point to C language function: `void glTexGenxvOES(GLenum coord, GLenum pname, const GLfixed * params);` Part of `GL_OES_texture_cube_map`
`void` | `glTexGenxv(int coord, int pname, IntBuffer params)` Entry point to C language function: `void glTexGenxvOES(GLenum coord, GLenum pname, const GLfixed * params);` Part of `GL_OES_texture_cube_map`
`void` | `glTexParameterx(int target, int pname, int param)` Entry point to C language function: `void glTexParameterx(GLenum target, GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTexParameterxv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTexParameterxv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTranslatex(int x, int y, int z)` Entry point to C language function: `void glTranslatex(GLfixed x, GLfixed y, GLfixed z);` Part of `GL_VERSION_ES_CL_CM`

Methods inherited from interface javax.media.opengl.GL2ES1
`glAlphaFunc, glClientActiveTexture, glColor4ub, glCurrentPaletteMatrix, glFogf, glFogfv, glFogfv, glFrustum, glGetLightfv, glGetLightfv, glGetMaterialfv, glGetMaterialfv, glGetTexEnvfv, glGetTexEnvfv, glGetTexEnviv, glGetTexEnviv, glGetTexGenfv, glGetTexGenfv, glGetTexGeniv, glGetTexGeniv, glLightf, glLightModelf, glLightModelfv, glLightModelfv, glLogicOp, glMatrixIndexPointer, glMultiTexCoord4f, glNormal3f, glOrtho, glPointParameterf, glPointParameterfv, glPointParameterfv, glPointSize, glTexEnvf, glTexEnvfv, glTexEnvfv, glTexEnvi, glTexEnviv, glTexEnviv, glTexGenf, glTexGenfv, glTexGenfv, glTexGeni, glTexGeniv, glTexGeniv, glWeightPointer`

Methods inherited from interface javax.media.opengl.GL
`glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearDepth, glClearDepthf, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDepthRange, glDepthRangef, glDisable, glDrawArrays, glDrawElements, glDrawElements, glEnable, glFinish, glFlush, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBoundBuffer, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetIntegerv, glGetIntegerv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glIsVBOArrayEnabled, glIsVBOElementEnabled, glLineWidth, glMapBuffer, glPixelStorei, glPolygonOffset, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexSubImage2D, glTexSubImage2D, glUnmapBuffer, glViewport`

Methods inherited from interface javax.media.opengl.GLBase
`getContext, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2GL3, getGL3, getGLES1, getGLES2, getGLProfile, getPlatformGLExtensions, getSwapInterval, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2GL3, isGL3, isGLES, isGLES1, isGLES2, setSwapInterval`

Methods inherited from interface javax.media.opengl.fixedfunc.GLMatrixFunc
`glFrustumf, glGetFloatv, glGetFloatv, glGetIntegerv, glGetIntegerv, glLoadIdentity, glLoadMatrixf, glLoadMatrixf, glMatrixMode, glMultMatrixf, glMultMatrixf, glOrthof, glPopMatrix, glPushMatrix, glRotatef, glScalef, glTranslatef`

Methods inherited from interface javax.media.opengl.fixedfunc.GLPointerFunc
`glColor4f, glColorPointer, glColorPointer, glColorPointer, glDisableClientState, glEnableClientState, glNormalPointer, glNormalPointer, glNormalPointer, glTexCoordPointer, glTexCoordPointer, glTexCoordPointer, glVertexPointer, glVertexPointer, glVertexPointer`

Methods inherited from interface javax.media.opengl.fixedfunc.GLLightingFunc
`glColor4f, glLightfv, glLightfv, glMaterialf, glMaterialfv, glMaterialfv, glShadeModel`

Field Detail

### GL_POINT_SIZE_ARRAY_OES

    static final int GL_POINT_SIZE_ARRAY_OES

  Part of `GL_OES_point_size_array`

  See Also:
    Constant Field Values

### GL_POINT_SIZE_ARRAY_TYPE_OES

    static final int GL_POINT_SIZE_ARRAY_TYPE_OES

  Part of `GL_OES_point_size_array`

  See Also:
    Constant Field Values

### GL_POINT_SIZE_ARRAY_STRIDE_OES

    static final int GL_POINT_SIZE_ARRAY_STRIDE_OES

  Part of `GL_OES_point_size_array`

  See Also:
    Constant Field Values

### GL_POINT_SIZE_ARRAY_POINTER_OES

    static final int GL_POINT_SIZE_ARRAY_POINTER_OES

  Part of `GL_OES_point_size_array`

  See Also:
    Constant Field Values

### GL_POINT_SIZE_ARRAY_BUFFER_BINDING_OES

    static final int GL_POINT_SIZE_ARRAY_BUFFER_BINDING_OES

  Part of `GL_OES_point_size_array`

  See Also:
    Constant Field Values

### GL_ETC1_RGB8_OES

    static final int GL_ETC1_RGB8_OES

  Part of `GL_OES_compressed_ETC1_RGB8_texture`

  See Also:
    Constant Field Values

### GL_TEXTURE_CROP_RECT_OES

    static final int GL_TEXTURE_CROP_RECT_OES

  Part of `GL_OES_draw_texture`

  See Also:
    Constant Field Values

### GL_MODELVIEW_MATRIX_FLOAT_AS_INT_BITS_OES

    static final int GL_MODELVIEW_MATRIX_FLOAT_AS_INT_BITS_OES

  Part of `GL_OES_matrix_get`

  See Also:
    Constant Field Values

### GL_PROJECTION_MATRIX_FLOAT_AS_INT_BITS_OES

    static final int GL_PROJECTION_MATRIX_FLOAT_AS_INT_BITS_OES

  Part of `GL_OES_matrix_get`

  See Also:
    Constant Field Values

### GL_TEXTURE_MATRIX_FLOAT_AS_INT_BITS_OES

    static final int GL_TEXTURE_MATRIX_FLOAT_AS_INT_BITS_OES

  Part of `GL_OES_matrix_get`

  See Also:
    Constant Field Values

### GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES

    static final int GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_HALF_FLOAT_OES

    static final int GL_HALF_FLOAT_OES

  Part of `GL_OES_vertex_half_float`

  See Also:
    Constant Field Values

Method Detail

### glAlphaFuncx

    void glAlphaFuncx(int func,
                      int ref)

  Entry point to C language function: `void glAlphaFuncx(GLenum func, GLclampx ref);`
  Part of `GL_VERSION_ES_CL_CM`

### glClearColorx

    void glClearColorx(int red,
                       int green,
                       int blue,
                       int alpha)

  Entry point to C language function: `void glClearColorx(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha);`
  Part of `GL_VERSION_ES_CL_CM`

### glClearDepthx

    void glClearDepthx(int depth)

  Entry point to C language function: `void glClearDepthx(GLclampx depth);`
  Part of `GL_VERSION_ES_CL_CM`

### glClipPlanef

    void glClipPlanef(int plane,
                      FloatBuffer equation)

  Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation);`
  Part of `GL_VERSION_ES_CM`

### glClipPlanef

    void glClipPlanef(int plane,
                      float[] equation,
                      int equation_offset)

  Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation);`
  Part of `GL_VERSION_ES_CM`

### glClipPlanex

    void glClipPlanex(int plane,
                      IntBuffer equation)

  Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation);`
  Part of `GL_VERSION_ES_CL_CM`

### glClipPlanex

    void glClipPlanex(int plane,
                      int[] equation,
                      int equation_offset)

  Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation);`
  Part of `GL_VERSION_ES_CL_CM`

### glColor4x

    void glColor4x(int red,
                   int green,
                   int blue,
                   int alpha)

  Entry point to C language function: `void glColor4x(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha);`
  Part of `GL_VERSION_ES_CL_CM`

### glDepthRangex

    void glDepthRangex(int zNear,
                       int zFar)

  Entry point to C language function: `void glDepthRangex(GLclampx zNear, GLclampx zFar);`
  Part of `GL_VERSION_ES_CL_CM`

### glDrawTexfOES

    void glDrawTexfOES(float x,
                       float y,
                       float z,
                       float width,
                       float height)

  Entry point to C language function: `void glDrawTexfOES(GLfloat x, GLfloat y, GLfloat z, GLfloat width, GLfloat height);`
  Part of `GL_OES_draw_texture`

### glDrawTexfvOES

    void glDrawTexfvOES(FloatBuffer coords)

  Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords);`
  Part of `GL_OES_draw_texture`

### glDrawTexfvOES

    void glDrawTexfvOES(float[] coords,
                        int coords_offset)

  Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords);`
  Part of `GL_OES_draw_texture`

### glDrawTexiOES

    void glDrawTexiOES(int x,
                       int y,
                       int z,
                       int width,
                       int height)

  Entry point to C language function: `void glDrawTexiOES(GLint x, GLint y, GLint z, GLint width, GLint height);`
  Part of `GL_OES_draw_texture`

### glDrawTexivOES

    void glDrawTexivOES(IntBuffer coords)

  Entry point to C language function: `void glDrawTexivOES(const GLint * coords);`
  Part of `GL_OES_draw_texture`

### glDrawTexivOES

    void glDrawTexivOES(int[] coords,
                        int coords_offset)

  Entry point to C language function: `void glDrawTexivOES(const GLint * coords);`
  Part of `GL_OES_draw_texture`

### glDrawTexsOES

    void glDrawTexsOES(short x,
                       short y,
                       short z,
                       short width,
                       short height)

  Entry point to C language function: `void glDrawTexsOES(GLshort x, GLshort y, GLshort z, GLshort width, GLshort height);`
  Part of `GL_OES_draw_texture`

### glDrawTexsvOES

    void glDrawTexsvOES(ShortBuffer coords)

  Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords);`
  Part of `GL_OES_draw_texture`

### glDrawTexsvOES

    void glDrawTexsvOES(short[] coords,
                        int coords_offset)

  Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords);`
  Part of `GL_OES_draw_texture`

### glDrawTexxOES

    void glDrawTexxOES(int x,
                       int y,
                       int z,
                       int width,
                       int height)

  Entry point to C language function: `void glDrawTexxOES(GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height);`
  Part of `GL_OES_draw_texture`

### glDrawTexxvOES

    void glDrawTexxvOES(IntBuffer coords)

  Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords);`
  Part of `GL_OES_draw_texture`

### glDrawTexxvOES

    void glDrawTexxvOES(int[] coords,
                        int coords_offset)

  Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords);`
  Part of `GL_OES_draw_texture`

### glEGLImageTargetRenderbufferStorageOES

    void glEGLImageTargetRenderbufferStorageOES(int target,
                                                Buffer image)

  Entry point to C language function: `void glEGLImageTargetRenderbufferStorageOES(GLenum target, GLeglImageOES image);`
  Part of `GL_OES_EGL_image`

### glEGLImageTargetTexture2DOES

    void glEGLImageTargetTexture2DOES(int target,
                                      Buffer image)

  Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image);`
  Part of `GL_OES_EGL_image`

### glFogx

    void glFogx(int pname,
                int param)

  Entry point to C language function: `void glFogx(GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

### glFogxv

    void glFogxv(int pname,
                 IntBuffer params)

  Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glFogxv

    void glFogxv(int pname,
                 int[] params,
                 int params_offset)

  Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glFrustumx

    void glFrustumx(int left,
                    int right,
                    int bottom,
                    int top,
                    int zNear,
                    int zFar)

  Entry point to C language function: `void glFrustumx(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar);`
  Part of `GL_VERSION_ES_CL_CM`

### glGetClipPlanef

    void glGetClipPlanef(int pname,
                         FloatBuffer eqn)

  Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * eqn);`
  Part of `GL_VERSION_ES_CM`

### glGetClipPlanef

    void glGetClipPlanef(int pname,
                         float[] eqn,
                         int eqn_offset)

  Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * eqn);`
  Part of `GL_VERSION_ES_CM`

### glGetClipPlanex

    void glGetClipPlanex(int pname,
                         IntBuffer eqn)

  Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn);`
  Part of `GL_VERSION_ES_CL_CM`

### glGetClipPlanex

    void glGetClipPlanex(int pname,
                         int[] eqn,
                         int eqn_offset)

  Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn);`
  Part of `GL_VERSION_ES_CL_CM`

### glGetFixedv

    void glGetFixedv(int pname,
                     IntBuffer params)

  Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glGetFixedv

    void glGetFixedv(int pname,
                     int[] params,
                     int params_offset)

  Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glGetLightxv

    void glGetLightxv(int light,
                      int pname,
                      IntBuffer params)

  Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glGetLightxv

    void glGetLightxv(int light,
                      int pname,
                      int[] params,
                      int params_offset)

  Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glGetMaterialxv

    void glGetMaterialxv(int face,
                         int pname,
                         IntBuffer params)

  Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glGetMaterialxv

    void glGetMaterialxv(int face,
                         int pname,
                         int[] params,
                         int params_offset)

  Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glGetTexEnvxv

    void glGetTexEnvxv(int tenv,
                       int pname,
                       IntBuffer params)

  Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glGetTexEnvxv

    void glGetTexEnvxv(int tenv,
                       int pname,
                       int[] params,
                       int params_offset)

  Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glGetTexGenxv

    void glGetTexGenxv(int coord,
                       int pname,
                       IntBuffer params)

  Entry point to C language function: `void glGetTexGenxvOES(GLenum coord, GLenum pname, GLfixed * params);`
  Part of `GL_OES_texture_cube_map`

### glGetTexGenxv

    void glGetTexGenxv(int coord,
                       int pname,
                       int[] params,
                       int params_offset)

  Entry point to C language function: `void glGetTexGenxvOES(GLenum coord, GLenum pname, GLfixed * params);`
  Part of `GL_OES_texture_cube_map`

### glGetTexParameterxv

    void glGetTexParameterxv(int target,
                             int pname,
                             IntBuffer params)

  Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glGetTexParameterxv

    void glGetTexParameterxv(int target,
                             int pname,
                             int[] params,
                             int params_offset)

  Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glLightModelx

    void glLightModelx(int pname,
                       int param)

  Entry point to C language function: `void glLightModelx(GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

### glLightModelxv

    void glLightModelxv(int pname,
                        IntBuffer params)

  Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glLightModelxv

    void glLightModelxv(int pname,
                        int[] params,
                        int params_offset)

  Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glLightx

    void glLightx(int light,
                  int pname,
                  int param)

  Entry point to C language function: `void glLightx(GLenum light, GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

### glLightxv

    void glLightxv(int light,
                   int pname,
                   IntBuffer params)

  Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glLightxv

    void glLightxv(int light,
                   int pname,
                   int[] params,
                   int params_offset)

  Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glLineWidthx

    void glLineWidthx(int width)

  Entry point to C language function: `void glLineWidthx(GLfixed width);`
  Part of `GL_VERSION_ES_CL_CM`

### glLoadMatrixx

    void glLoadMatrixx(IntBuffer m)

  Entry point to C language function: `void glLoadMatrixx(const GLfixed * m);`
  Part of `GL_VERSION_ES_CL_CM`

### glLoadMatrixx

    void glLoadMatrixx(int[] m,
                       int m_offset)

  Entry point to C language function: `void glLoadMatrixx(const GLfixed * m);`
  Part of `GL_VERSION_ES_CL_CM`

### glLoadPaletteFromModelViewMatrixOES

    void glLoadPaletteFromModelViewMatrixOES()

  Entry point to C language function: `void glLoadPaletteFromModelViewMatrixOES(void);`
  Part of `GL_OES_matrix_palette`

### glMaterialx

    void glMaterialx(int face,
                     int pname,
                     int param)

  Entry point to C language function: `void glMaterialx(GLenum face, GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

### glMaterialxv

    void glMaterialxv(int face,
                      int pname,
                      IntBuffer params)

  Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glMaterialxv

    void glMaterialxv(int face,
                      int pname,
                      int[] params,
                      int params_offset)

  Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glMultMatrixx

    void glMultMatrixx(IntBuffer m)

  Entry point to C language function: `void glMultMatrixx(const GLfixed * m);`
  Part of `GL_VERSION_ES_CL_CM`

### glMultMatrixx

    void glMultMatrixx(int[] m,
                       int m_offset)

  Entry point to C language function: `void glMultMatrixx(const GLfixed * m);`
  Part of `GL_VERSION_ES_CL_CM`

### glMultiTexCoord4x

    void glMultiTexCoord4x(int target,
                           int s,
                           int t,
                           int r,
                           int q)

  Entry point to C language function: `void glMultiTexCoord4x(GLenum target, GLfixed s, GLfixed t, GLfixed r, GLfixed q);`
  Part of `GL_VERSION_ES_CL_CM`

### glNormal3x

    void glNormal3x(int nx,
                    int ny,
                    int nz)

  Entry point to C language function: `void glNormal3x(GLfixed nx, GLfixed ny, GLfixed nz);`
  Part of `GL_VERSION_ES_CL_CM`

### glOrthox

    void glOrthox(int left,
                  int right,
                  int bottom,
                  int top,
                  int zNear,
                  int zFar)

  Entry point to C language function: `void glOrthox(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar);`
  Part of `GL_VERSION_ES_CL_CM`

### glPointParameterx

    void glPointParameterx(int pname,
                           int param)

  Entry point to C language function: `void glPointParameterx(GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

### glPointParameterxv

    void glPointParameterxv(int pname,
                            IntBuffer params)

  Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glPointParameterxv

    void glPointParameterxv(int pname,
                            int[] params,
                            int params_offset)

  Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glPointSizePointerOES

    void glPointSizePointerOES(int type,
                               int stride,
                               Buffer pointer)

  Entry point to C language function: `void glPointSizePointerOES(GLenum type, GLsizei stride, const GLvoid * pointer);`
  Part of `GL_OES_point_size_array`

### glPointSizex

    void glPointSizex(int size)

  Entry point to C language function: `void glPointSizex(GLfixed size);`
  Part of `GL_VERSION_ES_CL_CM`

### glPolygonOffsetx

    void glPolygonOffsetx(int factor,
                          int units)

  Entry point to C language function: `void glPolygonOffsetx(GLfixed factor, GLfixed units);`
  Part of `GL_VERSION_ES_CL_CM`

### glQueryMatrixxOES

    int glQueryMatrixxOES(IntBuffer mantissa,
                          IntBuffer exponent)

  Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent);`
  Part of `GL_OES_query_matrix`

### glQueryMatrixxOES

    int glQueryMatrixxOES(int[] mantissa,
                          int mantissa_offset,
                          int[] exponent,
                          int exponent_offset)

  Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent);`
  Part of `GL_OES_query_matrix`

### glRotatex

    void glRotatex(int angle,
                   int x,
                   int y,
                   int z)

  Entry point to C language function: `void glRotatex(GLfixed angle, GLfixed x, GLfixed y, GLfixed z);`
  Part of `GL_VERSION_ES_CL_CM`

### glSampleCoveragex

    void glSampleCoveragex(int value,
                           boolean invert)

  Entry point to C language function: `void glSampleCoveragex(GLclampx value, GLboolean invert);`
  Part of `GL_VERSION_ES_CL_CM`

### glScalex

    void glScalex(int x,
                  int y,
                  int z)

  Entry point to C language function: `void glScalex(GLfixed x, GLfixed y, GLfixed z);`
  Part of `GL_VERSION_ES_CL_CM`

### glTexEnvx

    void glTexEnvx(int target,
                   int pname,
                   int param)

  Entry point to C language function: `void glTexEnvx(GLenum target, GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

### glTexEnvxv

    void glTexEnvxv(int target,
                    int pname,
                    IntBuffer params)

  Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glTexEnvxv

    void glTexEnvxv(int target,
                    int pname,
                    int[] params,
                    int params_offset)

  Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glTexGenx

    void glTexGenx(int coord,
                   int pname,
                   int param)

  Entry point to C language function: `void glTexGenxOES(GLenum coord, GLenum pname, GLfixed param);`
  Part of `GL_OES_texture_cube_map`

### glTexGenxv

    void glTexGenxv(int coord,
                    int pname,
                    IntBuffer params)

  Entry point to C language function: `void glTexGenxvOES(GLenum coord, GLenum pname, const GLfixed * params);`
  Part of `GL_OES_texture_cube_map`

### glTexGenxv

    void glTexGenxv(int coord,
                    int pname,
                    int[] params,
                    int params_offset)

  Entry point to C language function: `void glTexGenxvOES(GLenum coord, GLenum pname, const GLfixed * params);`
  Part of `GL_OES_texture_cube_map`

### glTexParameterx

    void glTexParameterx(int target,
                         int pname,
                         int param)

  Entry point to C language function: `void glTexParameterx(GLenum target, GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

### glTexParameterxv

    void glTexParameterxv(int target,
                          int pname,
                          IntBuffer params)

  Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glTexParameterxv

    void glTexParameterxv(int target,
                          int pname,
                          int[] params,
                          int params_offset)

  Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

### glTranslatex

    void glTranslatex(int x,
                      int y,
                      int z)

  Entry point to C language function: `void glTranslatex(GLfixed x, GLfixed y, GLfixed z);`
  Part of `GL_VERSION_ES_CL_CM`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.